%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         vmihailenco
%global repo            msgpack
# https://github.com/vmihailenco/msgpack
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          61a9533424bd3e41b0a72e106aad32a4ebbc26be
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global import_path_sec gopkg.in/vmihailenco/msgpack.v2

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Msgpack encoding for Golang
License:        BSD
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Patch0:         golang-github-vmihailenco-msgpack-pack-out-go-msgpack.patch
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(github.com/ugorji/go/codec)
# BuildRequires:  golang(github.com/ugorji/go-msgpack)
BuildRequires:  golang(gopkg.in/check.v1)
# BuildRequires:  golang(gopkg.in/vmihailenco/msgpack.v2)
# BuildRequires:  golang(gopkg.in/vmihailenco/msgpack.v2/codes)
Requires:       golang >= 1.2.1-3
Requires:       golang(github.com/ugorji/go/codec)
# Requires:       golang(github.com/ugorji/go-msgpack)
Requires:       golang(gopkg.in/check.v1)
# Requires:       golang(gopkg.in/vmihailenco/msgpack.v2)
# Requires:       golang(gopkg.in/vmihailenco/msgpack.v2/codes)
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/codes) = %{version}-%{release}
Provides:       golang(%{import_path_sec}) = %{version}-%{release}
Provides:       golang(%{import_path_sec}/codes) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}
%patch0

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav codes %{buildroot}/%{gopath}/src/%{import_path}/

install -d -p %{buildroot}/%{gopath}/src/%{import_path_sec}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path_sec}/
cp -rpav codes %{buildroot}/%{gopath}/src/%{import_path_sec}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path_sec}

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}
%{gopath}/src/%{import_path_sec}

%changelog
* Thu Apr 16 2015 Graeme Gillies <ggillies@redhat.com> - 0-0.1.git61a9533
- First package for Fedora


